removed mdbook related scripts

This commit is contained in:
mfahampshire
2024-10-15 16:42:21 +02:00
parent 94ed32d493
commit d43d01ee75
3 changed files with 0 additions and 174 deletions
-51
View File
@@ -1,51 +0,0 @@
#!/usr/bin/env bash
set -o errexit
set -o nounset
set -o pipefail
# this is a script called by the github CI and CD workflows to build all 3 docs projects
# and move them to /dist/ in the root of the monorepo. They are rsynced to various servers
# from there by subsequent workflow tasks.
# array of project dirs
declare -a projects=("docs" "dev-portal" "operators")
# check you're calling from the right place
if [ $(pwd | awk -F/ '{print $NF}') != "documentation" ]
then
echo "failure: please run script from documentation/"
else
for i in "${projects[@]}"
do
# cd to project dir
cd "./$i" &&
# little sanity checks
echo $(pwd) && echo $(mdbook --version) &&
# clean old book
echo "cleaning old book"
rm -rf ./book/
# build book
# mdbook test || true
mdbook build
# check for destination, if ! then mkdir & check again else echo thumbs up
if [ ! -d ../../dist/docs/$i ]; then
echo "dest doesn't exist: creating dir"
mkdir -p ../../dist/docs/$i
fi
if [ -d ../../dist/docs/$i ]; then
echo "cp destination exists, all good"
fi
# clean old dist/$i
rm -rf ../../dist/docs/$i
# move newly rendered book/ to dist
rsync -r ./book/html/ ../../dist/docs/$i
# sanity check
ls -laF ../../dist/docs/
# cd back to ../documentation/
cd ../
done
# rename for server paths
rm -rf ../dist/docs/developers
mv ../dist/docs/dev-portal ../dist/docs/developers
fi
-45
View File
@@ -1,45 +0,0 @@
#!/usr/bin/env bash
set -o errexit
set -o nounset
set -o pipefail
# takes one manadatory arg and one optional arg: wallet release and minimum rust versions
# it then uses sed to bump them in the three book.toml files.
#
# e.g if the upcoming wallet release version was 1.2.9 you'd run this as:
# `./bump_versions.sh "1.2.9"`
#
# you can also set the minumum rust version by passing an optional additional argument:
# `./bump_versions.sh "1.2.9" "1.67"`
# array of project dirs
declare -a projects=("docs" "dev-portal" "operators")
# check number of args passed
if [ "$#" -lt 1 ] || [ "$#" -gt 2 ];
then
echo "failure: please pass at least 1 and at most 2 args: "
echo "./bump_version.sh <new wallet_release_version> [OPTIONAL]<new minimum_rust_version>"
exit 0
fi
# check you're calling from the right place
if [ $(pwd | awk -F/ '{print $NF}') != "documentation" ]
then
echo "failure: please run script from documentation/"
exit 0
else
## now loop through the above array sed-ing the variable values in the book.toml files
for i in "${projects[@]}"
do
# sed the vars in the book.toml file for each project
echo "setting wallet version in $i/"
sed -i 's/wallet_release_version =.*/wallet_release_version = "'$2'"/' "$i"/book.toml
if [ "$3" ]
then
echo "setting minimum rust version in $i/"
sed -i 's/minimum_rust_version = .*/minimum_rust_version = "'$3'"/' "$i"/book.toml
fi
done
fi
-78
View File
@@ -1,78 +0,0 @@
#!/usr/bin/env bash
set -o errexit
set -o nounset
set -o pipefail
# simple script to automate cleaning an existing mdbook install then installing it fresh for each deploy.
# pinning minor version allows for updates but no breaking changes
MINOR_VERSION=0.4
# if a new plugin is added to the books it needs to be added here also
declare -a plugins=("admonish" "linkcheck" "last-changed" "theme" "variables" "cmdrun")
# install mdbook + plugins
install_mdbook_deps() {
printf "\ninstalling mdbook..."
# installing mdbook with only specific features for speed
# cargo install mdbook --no-default-features --features search --vers "^$MINOR_VERSION"
cargo install mdbook --no-default-features --vers "^$MINOR_VERSION"
printf "\ninstalling plugins..."
for i in "${plugins[@]}"; do
cargo install mdbook-$i
done
# mdbook-admonish config
# if [ $(pwd | awk -F/ '{print $NF}') != "documentation" ]; then
# printf "not in documentation/ - changing dir but something isn't right in the workflow file"
# cd documentation/
# mdbook-admonish install dev-portal
# mdbook-admonish install docs
# mdbook-admonish install operators
# else
# mdbook-admonish install dev-portal
# mdbook-admonish install docs
# mdbook-admonish install operators
# fi
}
# uninstall mdbook + plugins
uninstall_mdbook_deps() {
# mdbook
printf "\nuninstalling existing mdbook installation...\n"
cargo uninstall mdbook
# check it worked
if [ $? -ne 0 ]; then
printf "\nsomething went wrong, exiting"
exit 1
else
printf "\nmdbook deleted\n"
fi
# plugins
printf "\nuninstalling existing plugins...\n"
for i in "${plugins[@]}"; do
cargo uninstall mdbook-$i
# check it worked
if [ $? -ne 0 ]; then
printf "\nsomething went wrong, exiting"
exit 1
else
printf "\nmdbook-$i deleted\n"
fi
done
}
main() {
if test -f ~/.cargo/bin/mdbook; then
printf "mdbook already installed (located at: $(which mdbook))"
uninstall_mdbook_deps
install_mdbook_deps
else
printf "mdbook not installed"
install_mdbook_deps
fi
}
main